---
title: TextMetrics.emHeightDescent
slug: Web/API/TextMetrics/emHeightDescent
tags:
  - API
  - Experimental
  - Property
  - Reference
  - TextMetrics
---
<div>{{APIRef("Canvas API")}}</div>

<p>The read-only <code>emHeightDescent</code> property of the {{domxref("TextMetrics")}} interface is a <code>double</code> giving the distance from the horizontal line indicated by the {{domxref("CanvasRenderingContext2D.textBaseline")}} property to the bottom of the <em>em</em> square in the line box, in CSS pixels.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const canvas = document.createElement('canvas');
const ctx = canvas.getContext('2d');
const text = ctx.measureText('foo'); // returns TextMetrics object

text.emHeightDescent; // -2.40234375;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "scripting.html#dom-textmetrics-emheightdescent", "TextMetrics.emHeightDescent")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TextMetrics.emHeightDescent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("TextMetrics")}}</li>
</ul>
